## Name

EXMODE — Examine or Change Device Initialization ModeOS-9 Level Two

## Synopsis

`exmode` `devname` [`arglist`]

## Description

exmode is an enhanced verison of the xmode utility, and is useful for changing initialization parameters specific to CoCo 3 window descriptors and enhanced ACIA device descriptors.

Exmode is very similar to the tmode command. Tmode only operates on open paths so its effect is temporary. Exmode actually updates the device descriptor so the change persists as long as the computer is running, even if paths to the device are repetitively opened and closed. If exmode is used to change parameter(s) and the cobbler program is used to make a new system disk, the changed parameter will be permanently reflected on the new system disk.

Exmode requires a device name to be given. If no arguments are given, the present values for each parameter are displayed, otherwise, the parameter(s) given in the argument list are processed. Any number of parameters can be given, and are separated by spaces or commas.

## Exmode Parameter Names

upc | Upper case only. Lower case characters are automatically converted to upper case.
-upc | Upper case and lower case characters permitted (default).
bsb | Erase on backspace: backspace characters echoed as a backspace-space-backspace sequence (default).
-bsb | no erase on backspace: echoes single backspace only
bsl | Backspace over line: lines are “deleted” by sending backspace-space-backspace sequences to erase the same line (for video terminals) (default).
-bsl | No backspace over line: lines are “deleted” by printing a new line sequence (for hard-copy terminals). echo Input characters “echoed” back to terminal (default)
-echo | No echo
lf | Auto line feed on: line feeds automatically echoed to terminal on input and output carriage returns (default).
-lf | Auto line feed off.
pause | Screen pause on: output suspended upon full screen. See “pag” parameter for definition of screen size. Output can be resumed by typing any key.
-pause | Screen pause mode off.
null=n | Set null count: number of null ($00) characters transmitted after carriage returns for return delay. The number is decimal, default = 0.
pag=n | Set video display page length to n (decimal) lines. Used for “pause” mode, see above.
bsp=h | Set input backspace character. Numeric value of character in hexadecimal. Default = 08.
bse=h | Set output backspace character. Numeric value of character in hexadecimal. Default = 08.
del=h | Set input delete line character. Numeric value of character in hexadecimal. Default = 18.
bell=h | Set bell (alert) output character. Numeric value of character in hexadecimal. Default = 07
eor=h | Set end-of-record (carriage return) input character. Numeric value of character in hexadecimal. Default = 0D
eof=h | Set end-of-file input character. Numeric value of character in hexadecimal. Default 1B.
type=h | ACIA initialization value: sets parity, word size, etc. Value in hexadecimal. Default 15
reprint=h | Reprint line character. Numeric value of character in hexadecimal.
dup=h | Duplicate last input line character. Numeric value of character in hexadecimal.
psc=h | Pause character. Numeric value of character in hexadecimal.
abort=h | Abort character (normally Control+C). Numeric value of character in hexadecimal.
quit=h | Quit character (normally Control+E). Numeric value of character in hexadecimal.
baud=d | Set baud rate for software-controllable interface. Numeric code for baud rate: 0=110 1=300 2=600 3=1200 4=2400 5=4800 6=9600 7=19200

## Examples

    exmode /TERM -upc lf null=4 bse=1F pause

    exmode /T1 pag=24 pause bsl -echo bsp=8 bsl=C

    exmode /P baud=3 -if